WordPress.org

Make WordPress Core

Opened 5 months ago

Closed 5 months ago

#46584 closed defect (bug) (fixed)

Update the WordPress Packages to the ones used in the Gutenberg 5.3 release

Reported by: iseulde Owned by: iseulde
Milestone: 5.2 Priority: normal
Severity: normal Version: 5.2
Component: Editor Keywords: commit
Focuses: Cc:

Description

List by @jorgefilipecosta.

  • @wordpress/a11y: 2.1.0 => 2.2.0
  • @wordpress/annotations: 1.1.0 => 1.2.0
  • @wordpress/api-fetch: 3.0.0 => 3.1.0
  • @wordpress/autop: 2.1.0 => 2.2.0
  • @wordpress/babel-plugin-import-jsx-pragma: 2.0.0 => 2.1.0
  • @wordpress/babel-preset-default: 4.0.0 => 4.1.0
  • @wordpress/blob: 2.2.0 => 2.3.0
  • @wordpress/block-editor: 1.0.0 => 1.1.0
  • @wordpress/block-library: 2.3.0 => 2.4.0
  • @wordpress/block-serialization-default-parser: 3.0.0 => 3.1.0
  • @wordpress/blocks: 6.1.0 => 6.2.0
  • @wordpress/components: 7.1.0 => 7.2.0
  • @wordpress/compose: 3.1.0 => 3.2.0
  • @wordpress/core-data: 2.1.0 => 2.2.0
  • @wordpress/data: 4.3.0 => 4.4.0
  • @wordpress/date: 3.1.0 => 3.2.0
  • @wordpress/deprecated: 2.1.0 => 2.2.0
  • @wordpress/docgen: 1.0.0 => 1.1.0
  • @wordpress/dom-ready: 2.1.0 => 2.2.0
  • @wordpress/dom: 2.1.0 => 2.2.0
  • @wordpress/e2e-test-utils: 1.0.0 => 1.1.0
  • @wordpress/e2e-tests: 1.0.0 => 1.1.0
  • @wordpress/edit-post: 3.2.0 => 3.3.0
  • @wordpress/edit-widgets: 0.1.0 => 0.2.0 (private)
  • @wordpress/editor: 9.1.0 => 9.2.0
  • @wordpress/element: 2.2.0 => 2.3.0
  • @wordpress/escape-html: 1.1.1 => 1.2.0
  • @wordpress/eslint-plugin: 2.0.0 => 2.1.0
  • @wordpress/format-library: 1.3.0 => 1.4.0
  • @wordpress/hooks: 2.1.0 => 2.2.0
  • @wordpress/html-entities: 2.1.0 => 2.2.0
  • @wordpress/i18n: 3.2.0 => 3.3.0
  • @wordpress/keycodes: 2.1.0 => 2.2.0
  • @wordpress/list-reusable-blocks: 1.2.0 => 1.3.0
  • @wordpress/notices: 1.2.0 => 1.3.0
  • @wordpress/nux: 3.1.0 => 3.2.0
  • @wordpress/plugins: 2.1.0 => 2.2.0
  • @wordpress/priority-queue: 1.0.0 => 1.1.0
  • @wordpress/redux-routine: 3.1.0 => 3.2.0
  • @wordpress/rich-text: 3.1.0 => 3.2.0
  • @wordpress/scripts: 3.0.0 => 3.1.0
  • @wordpress/shortcode: 2.1.0 => 2.2.0
  • @wordpress/url: 2.4.0 => 2.5.0
  • @wordpress/viewport: 2.2.0 => 2.3.0
  • @wordpress/wordcount: 2.1.0 => 2.2.0

Attachments (4)

46584.patch (55.0 KB) - added by iseulde 5 months ago.
46584.2.patch (58.2 KB) - added by iseulde 5 months ago.
46584.3.patch (57.6 KB) - added by iseulde 5 months ago.
46584.4.patch (55.0 KB) - added by iseulde 5 months ago.

Download all attachments as: .zip

Change History (10)

#1 @youknowriad
5 months ago

I think you mean Gutenberg 5.3 :)

@iseulde
5 months ago

#2 @iseulde
5 months ago

  • Owner set to iseulde
  • Status changed from new to reviewing
  • Summary changed from Update the WordPress Packages to the ones used in the Gutenberg 5.2 release to Update the WordPress Packages to the ones used in the Gutenberg 5.3 release

#3 @youknowriad
5 months ago

  • Keywords commit added

Tested the patch, LGTM

I was wondering why the legacy widget php file was not synced automatically though.

#4 @iseulde
5 months ago

I'm not sure which grunt task is responsible for that.

@iseulde
5 months ago

@iseulde
5 months ago

@iseulde
5 months ago

#5 @iseulde
5 months ago

Forgot to link the ticket: [44960].

#6 @iseulde
5 months ago

  • Resolution set to fixed
  • Status changed from reviewing to closed
Note: See TracTickets for help on using tickets.